MARTe2-core - User story #177

Refactor static const members
30.07.2015 09:51 - André Neto

Status: Closed Start date: 30.07.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.3 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Refactor v0.2 code which relied in class static const member variables to define constants.

The original idea was to use this strategy as a way to impose a namespace. The downside of this is that it can give rise to static
initialisation order problems (e.g. if these are used in the constructor of static objects). Moreover these symbols will also have to be
exported which in some embedded systems might give rise to performance problems.

It was agreed that these variables will be replaced by static const in the header files and put inside an equivalent namespace name.

Source code files modified

e Source/Core/L0Portability/BasicConsole.h
e Source/Core/LOPortability/OperatingSystem/Linux/BasicConsoleOS.cpp
e Source/Core/LOPortability/OperatingSystem/Windows/BasicConsoleOS.cpp

Architecture & design review

Date of the review: as per #142.

Person who did the review: N/A

Version of architecture & design document: N/A
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 20/08/2015.
Person who did the review: Andre' Neto
Result of review: PASS

List of non-conformities:

Unit test review

Date of the review: 22/08/2015
Person who did the review: Andre' Neto
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

Associated revisions

Revision ea7c104e - 04.08.2015 11:59 - Giuseppe Ferro

List of changes:

-Declared osHighResolutionTimerCalibrator as extern in
HighResolutionTimerOS.h and defined in
HighResolutionTimerCalibratorOS.cpp (MISRA compliant because global
variable)

-Declared processorVendorld as extern in ProcessorA.h and defined in
ProcessorOS.cpp (MISRA compliant because global variable)

-Included directly the Architecture header files for inline

implementations of Endianity and Atomic Functions.

-Moved BasicConsole::Mode outside of the class with the namespace
BasicConsoleMode.

User Stories #168 #177

Revision 8397fc29 - 12.08.2015 12:08 - Giuseppe Ferro

List of changes:

-removed two unused functions from HighResolutionTimerCalibratorOS
-put UndefinedCpu of ProcessorType as constant outside of the class
-Lint verified.

#168 #177

Revision 351a8355 - 22.08.2015 18:46 - André Neto
Merged #177 with develop.

History

#1 - 03.08.2015 15:05 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#2 - 03.08.2015 15:05 - Riccardo Vitelli

- Status changed from New to Code: Imp/

#3 - 04.08.2015 12:07 - Giuseppe Ferro

Code Implementation done: ea7c104

#4 - 04.08.2015 12:07 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#5 - 04.08.2015 12:07 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#6 - 12.08.2015 09:23 - André Neto

- Assignee set to André Neto

#7 - 12.08.2015 09:58 - André Neto
- Description updated

#8 - 12.08.2015 09:59 - André Neto
- Status changed from Code: Rev to Code: Impl

#9 - 12.08.2015 09:59 - André Neto
- Assignee deleted (André Neto)

#10 - 19.08.2015 14:45 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev
#11 - 19.08.2015 15:45 - André Neto
- Status changed from Code: Rev to Code: Impl

#12 - 19.08.2015 15:54 - André Neto
- Status changed from Code: Impl to Code: Rev

#13 - 19.08.2015 15:54 - André Neto

- Assignee set to André Neto

#14 - 20.08.2015 20:26 - André Neto
- Description updated

#15 - 20.08.2015 20:30 - André Neto
- Status changed from Code: Rev to Code: Impl

#16 - 20.08.2015 20:30 - André Neto
- Assignee deleted (André Neto)

#17 - 21.08.2015 13:26 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#18 - 21.08.2015 13:27 - Giuseppe Ferro
Changed FastMath class to namespace: 728629e

#19 - 21.08.2015 13:27 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

#20 - 22.08.2015 18:48 - André Neto
- Description updated

- Status changed from Code: Rev to Closed

Merged with develop in commit 351a835
